import { ValidationError } from './validation-result';
export declare function setColours(enabled: boolean): void;
export declare function repeat(text: string, count: number): string;
export declare function increaseIndent(text: string, indent: number): string;
export declare function pluralise(count: number, singular: string, plural: string): string;
export declare function formatPath(root: string, path: Array<string | number>): string;
export declare function formatErrorResultMessage(prefix: string, root: string, errors: ValidationError[]): string;
export declare function formatEitherValidationErrorMessages(errorsPerType: {
    [description: string]: ValidationError[];
}): string;
